#
# spec file for package deepin-polkit-agent
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _name dde-polkit-agent

Name:           deepin-polkit-agent
Version:        5.4.14
Release:        bp154.1.31
Summary:        Deepin Polkit Agent
License:        GPL-3.0-or-later
Group:          System/GUI/Other
URL:            https://github.com/linuxdeepin/dde-polkit-agent
Source0:        https://github.com/linuxdeepin/dde-polkit-agent/archive/%{version}/%{_name}-%{version}.tar.gz
Patch0:         fix-sudo-issue.patch
BuildRequires:  dtkcore
BuildRequires:  libqt5-linguist
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(dframeworkdbus)
BuildRequires:  pkgconfig(dtkwidget) >= 5.0.0
BuildRequires:  pkgconfig(gsettings-qt)
BuildRequires:  pkgconfig(polkit-qt5-1)
Recommends:     %{name}-lang

%description
DDE Polkit Agent is the polkit agent used in Deepin Desktop Environment.

%package devel
Summary:        Development package for %{name}
Group:          Development/Languages/C and C++
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%lang_package

%prep
%autosetup -p1 -n %{_name}-%{version}
sed -i 's|lrelease|lrelease-qt5|' translate_generation.sh
sed -i 's/bool is_deepin = true/bool is_deepin = false/' policykitlistener.cpp
sed -i '/setCancel/d' policykitlistener.cpp

%build
%qmake5 PREFIX=%{_prefix}
%make_build

%install
%qmake5_install

%files
%defattr(-,root,root,-)
%doc README.md
%license LICENSE
%dir %{_prefix}/lib/polkit-1-dde
%{_prefix}/lib/polkit-1-dde/%{_name}

%files lang
%defattr(-,root,root,-)
%{_datadir}/%{_name}/

%files devel
%defattr(-,root,root,-)
%{_includedir}/dpa

%changelog
* Wed Feb  9 2022 Hillwood Yang <hillwood@opensuse.org>
- Add fix-sudo-issue.patch, fix a sudo issue.
* Tue Dec 28 2021 Hillwood Yang <hillwood@opensuse.org>
- Update version to 5.4.14
  * Fix bugs
  * Update translations
* Wed Feb 24 2021 Hillwood Yang <hillwood@opensuse.org>
- Update version 5.3.0.3
  * Add PAM modules
  * chore: auto pull translation files from transifex
  * fix: build depend libdtkcore-bin to libdtkcore5-bin
  * fix: port to new API of DPasswordEdit
  * fix: adjust style
  * support fingerprint device changes
  * fixed:(authDialog):fingerprint device changed modify placeholder
  * fixed:Always show user name
  * feat:Resolving the disappearance of the authorization window
  * Clean up invalid translation files
* Tue Jul 16 2019 Hillwood Yang <hillwood@opensuse.org>
- Update version to 0.3.0
  * Update translations
  * Fix auth failed without prompt
  * Fix auth faild cannot set focus
  * chore: disable deepin_auth for no deepin platform
  * Use an environment variable to find plugins
* Tue Apr 16 2019 Hillwood Yang <hillwood@opensuse.org>
- Update version to 0.2.6
  * provide dbus service
  * Fix still auth after dialog window closed
  * Fix failed on build
  * Fix translate not load
* Thu Mar 22 2018 hillwood@opensuse.org
- Update version to 0.2.0
  * Fix trigger plugin action only wen auth succeeded
  * Using linux-pam to provide translation
  * Adapt lintian
  * Fix single instance may not work
  * Create pid file to cache folder
  * Support agent plugins
  * Support single instance
  * Show validation information
  * Support option widgets
- Split devel package.
* Fri Dec  1 2017 hillwood@opensuse.org
- Update to 0.1.1
  * Feature update.
- Split language package.
* Sun Nov 12 2017 hillwood@opensuse.org
- Cleanup spec
  * Add Group tag
  * Fix filelist setting.
  * Fix permission for desktop profile.
* Tue Oct  3 2017 sensor.wen@gmail.com
- Initial package.
